// ***************************************************************************
//
//   Generated automatically by genwrapper.
//   Please DO NOT EDIT this file!
//
// ***************************************************************************

#include <osgIntrospection/ReflectionMacros>
#include <osgIntrospection/TypedMethodInfo>
#include <osgIntrospection/StaticMethodInfo>
#include <osgIntrospection/Attributes>

#include <osg/Camera>
#include <osg/NodeVisitor>
#include <osg/Object>
#include <osgGA/GUIActionAdapter>
#include <osgGA/GUIEventAdapter>
#include <osgWidget/ViewerEventHandlers>
#include <osgWidget/WindowManager>

// Must undefine IN and OUT macros defined in Windows headers
#ifdef IN
#undef IN
#endif
#ifdef OUT
#undef OUT
#endif

BEGIN_OBJECT_REFLECTOR(osgWidget::KeyboardHandler)
	I_DeclaringFile("osgWidget/ViewerEventHandlers");
	I_BaseType(osgGA::GUIEventHandler);
	I_Constructor1(IN, osgWidget::WindowManager *, x,
	               Properties::NON_EXPLICIT,
	               ____KeyboardHandler__WindowManager_P1,
	               "",
	               "");
	I_Method4(bool, handle, IN, const osgGA::GUIEventAdapter &, x, IN, osgGA::GUIActionAdapter &, x, IN, osg::Object *, x, IN, osg::NodeVisitor *, x,
	          Properties::VIRTUAL,
	          __bool__handle__C5_osgGA_GUIEventAdapter_R1__osgGA_GUIActionAdapter_R1__osg_Object_P1__osg_NodeVisitor_P1,
	          "Handle events, return true if handled, false otherwise. ",
	          "");
END_REFLECTOR

BEGIN_OBJECT_REFLECTOR(osgWidget::MouseHandler)
	I_DeclaringFile("osgWidget/ViewerEventHandlers");
	I_BaseType(osgGA::GUIEventHandler);
	I_Constructor1(IN, osgWidget::WindowManager *, x,
	               Properties::NON_EXPLICIT,
	               ____MouseHandler__WindowManager_P1,
	               "",
	               "");
	I_Method4(bool, handle, IN, const osgGA::GUIEventAdapter &, x, IN, osgGA::GUIActionAdapter &, x, IN, osg::Object *, x, IN, osg::NodeVisitor *, x,
	          Properties::VIRTUAL,
	          __bool__handle__C5_osgGA_GUIEventAdapter_R1__osgGA_GUIActionAdapter_R1__osg_Object_P1__osg_NodeVisitor_P1,
	          "Handle events, return true if handled, false otherwise. ",
	          "");
END_REFLECTOR

BEGIN_OBJECT_REFLECTOR(osgWidget::ResizeHandler)
	I_DeclaringFile("osgWidget/ViewerEventHandlers");
	I_BaseType(osgGA::GUIEventHandler);
	I_Constructor2(IN, osgWidget::WindowManager *, x, IN, osg::Camera *, x,
	               ____ResizeHandler__WindowManager_P1__osg_Camera_P1,
	               "",
	               "");
	I_Method4(bool, handle, IN, const osgGA::GUIEventAdapter &, x, IN, osgGA::GUIActionAdapter &, x, IN, osg::Object *, x, IN, osg::NodeVisitor *, x,
	          Properties::VIRTUAL,
	          __bool__handle__C5_osgGA_GUIEventAdapter_R1__osgGA_GUIActionAdapter_R1__osg_Object_P1__osg_NodeVisitor_P1,
	          "Handle events, return true if handled, false otherwise. ",
	          "");
END_REFLECTOR

